#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	NetAddr
%define	pnam	IP
Summary:	NetAddr::IP - Manages IPv4 and IPv6 addresses and subnets
Summary(pl.UTF-8):	NetAddr::IP - zarządzanie adresami i podsieciami IPv4 i IPv6
Name:		perl-NetAddr-IP
Version:	4.079
Release:	3
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	990dfcbffae356835c536e8ab56a2880
URL:		http://search.cpan.org/dist/NetAddr-IP/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Test::More)
BuildRequires:	perl-Math-BigInt
BuildRequires:	perl-Module-Signature
%endif
Obsoletes:	perl-NetAddr-IP-Lite <= 0:1.01
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides an object-oriented abstraction on top of IP
addresses or IP subnets, that allows for easy manipulations.

%description -l pl.UTF-8
Ten moduł dostarcza obiektowo zorientowaną abstrakcję dla adresów lub
podsieci IP pozwalającą na łatwe operacje.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes TODO
%dir %{perl_vendorarch}/NetAddr
%dir %{perl_vendorarch}/NetAddr/IP
%{perl_vendorarch}/NetAddr/*.pm
%{perl_vendorarch}/NetAddr/IP/*.pm
%dir %{perl_vendorarch}/auto/NetAddr
%dir %{perl_vendorarch}/auto/NetAddr/IP
%{perl_vendorarch}/auto/NetAddr/IP/InetBase
%dir %{perl_vendorarch}/auto/NetAddr/IP/Util
%attr(755,root,root) %{perl_vendorarch}/auto/NetAddr/IP/Util/*.so
%{perl_vendorarch}/auto/NetAddr/IP/Util/*.ix
%dir %{perl_vendorarch}/auto/NetAddr/IP/UtilPP
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/*.ix
%{perl_vendorarch}/auto/NetAddr/IP/UtilPP/*.al
%{perl_vendorarch}/auto/NetAddr/IP/*.ix
%{perl_vendorarch}/auto/NetAddr/IP/*.al
%{_mandir}/man3/*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-NetAddr-IP.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> dac7e0a
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7c27f3b
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> 216566e
- Up to 4.079

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 5105b0b
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> bd19195
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> cc647a9
- x32 rebuild
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> bafbe00
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 48518b1
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 19a5e59
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> f28285d
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> cbaf348
- up to 4.058

* Tue Oct 11 2011 lisu <lisu@pld-linux.org> 2491e28
- rel 4

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 073f4e8
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f80bbdb
- release 2

* Fri Aug 28 2009 amateja <amateja@pld-linux.org> 8b85214
- updated to 4.027

* Tue Jan 13 2009 zbyniu <zbyniu@pld-linux.org> c1d0fe8
- up to 4.022

* Sun Mar 02 2008 radek <radek@pld-linux.org> 734cdaf
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5a80665
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 294b201
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 890ac84
- up to 4.007

